org.wso2.carbon.proxyadmin.stub.types.synapse

## Class GetMetaDataResponse.Factory

- java.lang.Object
- - org.wso2.carbon.proxyadmin.stub.types.synapse.GetMetaDataResponse.Factory

- Enclosing class:
    GetMetaDataResponse

      public static class GetMetaDataResponse.Factory
      extends Object

  Factory class that keeps the parse method

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMetaDataResponse.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetMetaDataResponse` | `parse(XMLStreamReader reader)` static method to create the object Precondition: If this object is an element, the current or next start element starts this object and any intervening reader events are ignorable If this object is not an element, it is a complex type and the reader is at the event just after the outer start element Postcondition: If this object is an element, the reader is positioned at its end element If this object is a complex type, the reader is positioned at the end element of its outer element

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetMetaDataResponse.Factory

          public GetMetaDataResponse.Factory()

  - ### Method Detail

    - #### parse

          public static GetMetaDataResponse parse(XMLStreamReader reader)
                                           throws Exception

      static method to create the object Precondition: If this object is an element, the current or next start element starts this object and any intervening reader events are ignorable If this object is not an element, it is a complex type and the reader is at the event just after the outer start element Postcondition: If this object is an element, the reader is positioned at its end element If this object is a complex type, the reader is positioned at the end element of its outer element
      Throws:
        `Exception`

Copyright © 2017 WSO2. All rights reserved.